Package ch.qos.logback.classic.util

# Class EnvUtil

java.lang.Object
ch.qos.logback.classic.util.EnvUtil

public class EnvUtil extends Object

Author:
  Ceki Gülcü

## Constructor Summary

Constructors
Constructor
Description
`EnvUtil()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isGroovyAvailable()`
`static <T> T`
`loadFromServiceLoader(Class<T> c)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EnvUtil

public EnvUtil()

## Method Details

### isGroovyAvailable

public static boolean isGroovyAvailable()

### loadFromServiceLoader

public static <T> T loadFromServiceLoader(Class<T> c)